Cyberduck Mountain Duck CLI

#7012 closed defect (duplicate)

SFTP is broken

Reported by: basil Owned by:
Priority: high Milestone:
Component: core Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Can't access servers over SSH with Cyberduck. Filezilla and command line are fine. Have encountered this on 3 servers from two different hosting companies. The last time Cyberduck worked for this was on 28 Nov 2012 (I have a file downloaded with this timestamp).

Debug log (sshd log at bottom)

Dec 22 17:27:48 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 2012-12-22 17:27:48,855 [background-2] INFO  ch.cyberduck.core.Session - Opening SFTP connection to xxx.xxx.xxx.xxx
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: Exception in thread "Thread-15" java.lang.NoSuchMethodError: org.slf4j.spi.LocationAwareLogger.log(Lorg/slf4j/Marker;Ljava/lang/String;ILjava/lang/String;[Ljava/lang/Object;Ljava/lang/Throwable;)V
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at org.slf4j.bridge.SLF4JBridgeHandler.callLocationAwareLogger(SLF4JBridgeHandler.java:192)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at org.slf4j.bridge.SLF4JBridgeHandler.publish(SLF4JBridgeHandler.java:267)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at java.util.logging.Logger.log(Logger.java:478)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at java.util.logging.Logger.doLog(Logger.java:500)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at java.util.logging.Logger.log(Logger.java:523)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at java.util.logging.Logger.info(Logger.java:1042)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at ch.ethz.ssh2.log.Logger.info(Logger.java:47)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at ch.ethz.ssh2.transport.KexManager.mergeKexParameters(KexManager.java:184)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at ch.ethz.ssh2.transport.KexManager.handleMessage(KexManager.java:423)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at ch.ethz.ssh2.transport.TransportManager.receiveLoop(TransportManager.java:822)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at ch.ethz.ssh2.transport.TransportManager$1.run(TransportManager.java:492)
Dec 22 17:27:49 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 	at java.lang.Thread.run(Thread.java:680)
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 2012-12-22 17:28:18,895 [Thread-14] WARN  ch.cyberduck.core.sftp.SFTPSession - Connection lost:The connect timeout expired
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 2012-12-22 17:28:18,896 [Thread-14] DEBUG ch.cyberduck.core.sftp.SFTPSession - interrupt
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: 2012-12-22 17:28:18,896 [Thread-14] DEBUG ch.cyberduck.core.Session - connectionWillClose
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: objc[19528]: Object 0x5e8c10 of class __NSCFString autoreleased with no pool in place - just leaking - break on objc_autoreleaseNoPool() to debug
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: objc[19528]: Object 0x3117f970 of class __NSCFString autoreleased with no pool in place - just leaking - break on objc_autoreleaseNoPool() to debug
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: objc[19528]: Object 0x311ab520 of class __NSCFString autoreleased with no pool in place - just leaking - break on objc_autoreleaseNoPool() to debug
Dec 22 17:28:18 192-168-1-2 [0x0-0x3376373].ch.sudo.cyberduck[19528]: objc[19528]: Object 0x2f1ef860 of class __NSCFString autoreleased with no pool in place - just leaking - break on objc_autoreleaseNoPool() to debug

sshd log on server (Centos 5.8)

Connection from xxx.xxx.xxx.xxx port 50479
debug1: Client protocol version 2.0; client software version Cyberduck/4.2.1 (Mac OS X/10.7.5) (i386)
debug1: no match: Cyberduck/4.2.1 (Mac OS X/10.7.5) (i386)
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_5.3
debug1: permanently_set_uid: 74/74
debug1: list_hostkey_types: ssh-rsa,ssh-dss
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: client->server aes128-ctr hmac-sha1-96 none
debug1: kex: server->client aes128-ctr hmac-sha1-96 none
Connection closed by xxx.xxx.xxx.xxx

Change History (1)

comment:1 Changed on Dec 22, 2012 at 1:40:48 PM by dkocher

  • Description modified (diff)
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #6221. Remove older SLF4J libraries from /Library/Java/Extensions.

Note: See TracTickets for help on using tickets.
swiss made software